Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QKeySequence.StandardKey

    java.lang.Object
      java.lang.Enum<QKeySequence.StandardKey>
          com.trolltech.qt.gui.QKeySequence.StandardKey

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QKeySequence.StandardKey>

Enclosing class:
  QKeySequence

    public static enum QKeySequence.StandardKey

extends java.lang.Enum<QKeySequence.StandardKey>
implements QtEnumerator

This enum represent standard key bindings. They can be used to assign platform dependent keyboard shortcuts to a `QAction`. `QKeyEvent` also provides the function QKeyEvent::standardKey() to query if it matches an existing key binding.

Note that the key bindings are platform dependent. The currently bound shortcuts can be queried using `keyBindings`.

Enum Constant Summary
`AddTab` Add new tab.
`Back` Navigate back.
`Bold` Bold text.
`Close` Close Document/Tab.
`Copy` Copy.
`Cut` Cut.
`Delete` Delete.
`DeleteEndOfLine` Delete end of line.
`DeleteEndOfWord` Delete word from the end of the cursor.
`DeleteStartOfWord` Delete the beginning of a word up to the cursor.
`Find` Find in document.
`FindNext` Find next result.
`FindPrevious` Find previous result.
`Forward` Navigate forward.
`HelpContents` Open help contents.
`Italic` Italic text.
`MoveToEndOfBlock` Move cursor to end of block.
`MoveToEndOfDocument` Move cursor to end of document.
`MoveToEndOfLine` Move cursor to end of line.
`MoveToNextChar` Move cursor to next character.
`MoveToNextLine` Move cursor to next line.
`MoveToNextPage` Move cursor to next page.
`MoveToNextWord` Move cursor to next word.
`MoveToPreviousChar` Move cursor to previous character.
`MoveToPreviousLine` Move cursor to previous line.
`MoveToPreviousPage` Move cursor to previous page.
`MoveToPreviousWord` Move cursor to previous word.
`MoveToStartOfBlock` Move cursor to start of a block.
`MoveToStartOfDocument` Move cursor to start of document.
`MoveToStartOfLine` Move cursor to start of line.
`New` Create new Document.
`NextChild` Navigate to next tab or child window.
`Open` Open Document.
`Paste` Paste.
`PreviousChild` Navigate to previous tab or child window.
`Print` Print document.
`Redo` Redo.
`Refresh` Refresh or reload current document.
`Replace` Find and replace.
`Save` Save Document.
`SelectAll` Select all text.
`SelectEndOfBlock` Extend selection to the end of a text block.
`SelectEndOfDocument` Extend selection to end of document.
`SelectEndOfLine` Extend selection to end of line.
`SelectNextChar` Extend selection to next character.
`SelectNextLine` Extend selection to next line.
`SelectNextPage` Extend selection to next page.
`SelectNextWord` Extend selection to next word.
`SelectPreviousChar` Extend selection to previous character.
`SelectPreviousLine` Extend selection to previous line.
`SelectPreviousPage` Extend selection to previous page.
`SelectPreviousWord` Extend selection to previous word.
`SelectStartOfBlock` Extend selection to the start of a text block.
`SelectStartOfDocument` Extend selection to start of document.
`SelectStartOfLine` Extend selection to start of line.
`Underline` Underline text.
`Undo` Undo.
`UnknownKey` Unbound key.
`WhatsThis` Activate whats this.
`ZoomIn` Zoom in.
`ZoomOut` Zoom out.

Method Summary
`static QKeySequence.StandardKey` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QKeySequence.StandardKey` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QKeySequence.StandardKey[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UnknownKey

    public static final QKeySequence.StandardKey UnknownKey

  Unbound key.

### HelpContents

    public static final QKeySequence.StandardKey HelpContents

  Open help contents.

### WhatsThis

    public static final QKeySequence.StandardKey WhatsThis

  Activate whats this.

### Open

    public static final QKeySequence.StandardKey Open

  Open Document.

### Close

    public static final QKeySequence.StandardKey Close

  Close Document/Tab.

### Save

    public static final QKeySequence.StandardKey Save

  Save Document.

### New

    public static final QKeySequence.StandardKey New

  Create new Document.

### Delete

    public static final QKeySequence.StandardKey Delete

  Delete.

### Cut

    public static final QKeySequence.StandardKey Cut

  Cut.

### Copy

    public static final QKeySequence.StandardKey Copy

  Copy.

### Paste

    public static final QKeySequence.StandardKey Paste

  Paste.

### Undo

    public static final QKeySequence.StandardKey Undo

  Undo.

### Redo

    public static final QKeySequence.StandardKey Redo

  Redo.

### Back

    public static final QKeySequence.StandardKey Back

  Navigate back.

### Forward

    public static final QKeySequence.StandardKey Forward

  Navigate forward.

### Refresh

    public static final QKeySequence.StandardKey Refresh

  Refresh or reload current document.

### ZoomIn

    public static final QKeySequence.StandardKey ZoomIn

  Zoom in.

### ZoomOut

    public static final QKeySequence.StandardKey ZoomOut

  Zoom out.

### Print

    public static final QKeySequence.StandardKey Print

  Print document.

### AddTab

    public static final QKeySequence.StandardKey AddTab

  Add new tab.

### NextChild

    public static final QKeySequence.StandardKey NextChild

  Navigate to next tab or child window.

### PreviousChild

    public static final QKeySequence.StandardKey PreviousChild

  Navigate to previous tab or child window.

### Find

    public static final QKeySequence.StandardKey Find

  Find in document.

### FindNext

    public static final QKeySequence.StandardKey FindNext

  Find next result.

### FindPrevious

    public static final QKeySequence.StandardKey FindPrevious

  Find previous result.

### Replace

    public static final QKeySequence.StandardKey Replace

  Find and replace.

### SelectAll

    public static final QKeySequence.StandardKey SelectAll

  Select all text.

### Bold

    public static final QKeySequence.StandardKey Bold

  Bold text.

### Italic

    public static final QKeySequence.StandardKey Italic

  Italic text.

### Underline

    public static final QKeySequence.StandardKey Underline

  Underline text.

### MoveToNextChar

    public static final QKeySequence.StandardKey MoveToNextChar

  Move cursor to next character.

### MoveToPreviousChar

    public static final QKeySequence.StandardKey MoveToPreviousChar

  Move cursor to previous character.

### MoveToNextWord

    public static final QKeySequence.StandardKey MoveToNextWord

  Move cursor to next word.

### MoveToPreviousWord

    public static final QKeySequence.StandardKey MoveToPreviousWord

  Move cursor to previous word.

### MoveToNextLine

    public static final QKeySequence.StandardKey MoveToNextLine

  Move cursor to next line.

### MoveToPreviousLine

    public static final QKeySequence.StandardKey MoveToPreviousLine

  Move cursor to previous line.

### MoveToNextPage

    public static final QKeySequence.StandardKey MoveToNextPage

  Move cursor to next page.

### MoveToPreviousPage

    public static final QKeySequence.StandardKey MoveToPreviousPage

  Move cursor to previous page.

### MoveToStartOfLine

    public static final QKeySequence.StandardKey MoveToStartOfLine

  Move cursor to start of line.

### MoveToEndOfLine

    public static final QKeySequence.StandardKey MoveToEndOfLine

  Move cursor to end of line.

### MoveToStartOfBlock

    public static final QKeySequence.StandardKey MoveToStartOfBlock

  Move cursor to start of a block. This shortcut is only used on OS X.

### MoveToEndOfBlock

    public static final QKeySequence.StandardKey MoveToEndOfBlock

  Move cursor to end of block. This shortcut is only used on the OS X.

### MoveToStartOfDocument

    public static final QKeySequence.StandardKey MoveToStartOfDocument

  Move cursor to start of document.

### MoveToEndOfDocument

    public static final QKeySequence.StandardKey MoveToEndOfDocument

  Move cursor to end of document.

### SelectNextChar

    public static final QKeySequence.StandardKey SelectNextChar

  Extend selection to next character.

### SelectPreviousChar

    public static final QKeySequence.StandardKey SelectPreviousChar

  Extend selection to previous character.

### SelectNextWord

    public static final QKeySequence.StandardKey SelectNextWord

  Extend selection to next word.

### SelectPreviousWord

    public static final QKeySequence.StandardKey SelectPreviousWord

  Extend selection to previous word.

### SelectNextLine

    public static final QKeySequence.StandardKey SelectNextLine

  Extend selection to next line.

### SelectPreviousLine

    public static final QKeySequence.StandardKey SelectPreviousLine

  Extend selection to previous line.

### SelectNextPage

    public static final QKeySequence.StandardKey SelectNextPage

  Extend selection to next page.

### SelectPreviousPage

    public static final QKeySequence.StandardKey SelectPreviousPage

  Extend selection to previous page.

### SelectStartOfLine

    public static final QKeySequence.StandardKey SelectStartOfLine

  Extend selection to start of line.

### SelectEndOfLine

    public static final QKeySequence.StandardKey SelectEndOfLine

  Extend selection to end of line.

### SelectStartOfBlock

    public static final QKeySequence.StandardKey SelectStartOfBlock

  Extend selection to the start of a text block. This shortcut is only used on OS X.

### SelectEndOfBlock

    public static final QKeySequence.StandardKey SelectEndOfBlock

  Extend selection to the end of a text block. This shortcut is only used on OS X.

### SelectStartOfDocument

    public static final QKeySequence.StandardKey SelectStartOfDocument

  Extend selection to start of document.

### SelectEndOfDocument

    public static final QKeySequence.StandardKey SelectEndOfDocument

  Extend selection to end of document.

### DeleteStartOfWord

    public static final QKeySequence.StandardKey DeleteStartOfWord

  Delete the beginning of a word up to the cursor.

### DeleteEndOfWord

    public static final QKeySequence.StandardKey DeleteEndOfWord

  Delete word from the end of the cursor.

### DeleteEndOfLine

    public static final QKeySequence.StandardKey DeleteEndOfLine

  Delete end of line.

Method Detail

### values

    public static final QKeySequence.StandardKey[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QKeySequence.StandardKey c : QKeySequence.StandardKey.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QKeySequence.StandardKey valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QKeySequence.StandardKey resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD